<?php if ( function_exists('register_sidebar') ) {

register_sidebar( array(

'name'=>'Primary Sidebar',

'id'   => 'primary_sidebar',

'description'   => 'Default Left Side Bar',

'before_widget' => '<div class="well">',

'after_widget'  => '</div>',

'before_title'  => '<h4>',

'after_title'   => '</h4>'

));
register_sidebar( array(

'name'=>'Footer Area1',

'id'   => 'footer_area1',

'description'   => 'Footer widget1',

'before_widget' => '<div class="well">',

'after_widget'  => '</div>',

'before_title'  => '<h4>',

'after_title'   => '</h4>'

));
register_sidebar( array(

'name'=>'Footer Area2',

'id'   => 'footer_area2',

'description'   => 'Footer widget2',

'before_widget' => '<div class="well">',

'after_widget'  => '</div>',

'before_title'  => '<h4>',

'after_title'   => '</h4>'

));
register_sidebar( array(

'name'=>'Footer Area3',

'id'   => 'footer_area3',

'description'   => 'Footer widget3',

'before_widget' => '<div class="well">',

'after_widget'  => '</div>',

'before_title'  => '<h4>',

'after_title'   => '</h4>'

));
register_sidebar( array(

'name'=>'Footer Area Home 1',

'id'   => 'footer_area_home1',

'description'   => 'Home Footer widget1',

'before_widget' => '<div class="well">',

'after_widget'  => '</div>',

'before_title'  => '<h4>',

'after_title'   => '</h4>'

));
register_sidebar( array(

'name'=>'Footer Area Home 2',

'id'   => 'footer_area_home2',

'description'   => 'Home Footer widget2',

'before_widget' => '<div class="well">',

'after_widget'  => '</div>',

'before_title'  => '<h4>',

'after_title'   => '</h4>'

));
}

if ( ! function_exists( 'flatportfolio_comment' ) ) :
/**
* Template for comments and pingbacks.
*
* To override this walker in a child theme without modifying the comments template
* simply create your own flatportfolio_comment(), and that function will be used instead.
*
* Used as a callback by wp_list_comments() for displaying the comments.
*
* @since Twenty Twelve 1.0
*/
function flatportfolio_comment( $comment, $args, $depth ) {
$GLOBALS['comment'] = $comment;
switch ( $comment->comment_type ) :
case 'pingback' :
case 'trackback' :
// Display trackbacks differently than normal comments.
?>
<li <?php comment_class(); ?> id="comment-<?php comment_ID(); ?>">
<p><?php _e( 'Pingback:', 'flatportfolio' ); ?> <?php comment_author_link(); ?> <?php edit_comment_link( __( '(Edit)', 'flatportfolio' ), '<span class="edit-link">', '</span>' ); ?></p>
<?php
break;
default :
// Proceed with normal comments.
global $post;
?>
<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
<article id="comment-<?php comment_ID(); ?>" class="comment">
<header class="comment-meta comment-author vcard">
<?php
echo get_avatar( $comment, 44 );
printf( '<cite class="fn">%1$s %2$s</cite>',
get_comment_author_link(),
// If current post author is also comment author, make it known visually.
( $comment->user_id === $post->post_author ) ? '<span> ' . __( 'Post author', 'flatportfolio' ) . '</span>' : ''
);
printf( '<a href="%1$s"><time datetime="%2$s">%3$s</time></a>',
esc_url( get_comment_link( $comment->comment_ID ) ),
get_comment_time( 'c' ),
/* translators: 1: date, 2: time */
sprintf( __( '%1$s at %2$s', 'flatportfolio' ), get_comment_date(), get_comment_time() )
);
?>
</header><!-- .comment-meta -->

<?php if ( '0' == $comment->comment_approved ) : ?>
<p class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.', 'flatportfolio' ); ?></p>
<?php endif; ?>

<section class="comment-content comment">
<?php comment_text(); ?>
<?php edit_comment_link( __( 'Edit', 'flatportfolio' ), '<p class="edit-link">', '</p>' ); ?>
</section><!-- .comment-content -->

<div class="reply">
<?php comment_reply_link( array_merge( $args, array( 'reply_text' => __( 'Reply', 'flatportfolio' ), 'after' => ' <span>&darr;</span>', 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
</div><!-- .reply -->
</article><!-- #comment-## -->
<?php
break;
endswitch; // end comment_type check
}
endif;

// content width
if ( ! isset( $content_width ) ) $content_width = 600;


// feed links
add_theme_support( 'automatic-feed-links' );


// editor style
add_editor_style('editor-style.css');

// thickbox
function thickbox_enqueue_scripts() {
wp_enqueue_script('thickbox');
wp_enqueue_style('thickbox');
}
add_action('wp_enqueue_scripts', 'thickbox_enqueue_scripts');

// thickbox class to images
function add_thickbox_class_to_image_links($html, $attachment_id, $attachment) {
$linkptrn = "/<a[^>]*>/";
$found = preg_match($linkptrn, $html, $a_elem);

// If no link, do nothing
if($found <= 0) return $html;

$a_elem = $a_elem[0];

// Check to see if the link is to an uploaded image
$uploads = wp_upload_dir();
$upload_path = basename($uploads['baseurl']);
$is_attachment_link = strstr($a_elem, $upload_path);

// If link is to external resource, do nothing
if($is_attachment_link === FALSE) return $html;

if(strstr($a_elem, "class=\"") !== FALSE){ // If link already has class defined inject it to attribute
$a_elem_new = str_replace("class=\"", "class=\"thickbox ", $a_elem);
$html = str_replace($a_elem, $a_elem_new, $html);
}else{ // If no class defined, just add class attribute
$html = str_replace("<a ", "<a class=\"thickbox\" ", $html);
}

return $html;
}

add_filter('image_send_to_editor', 'add_thickbox_class_to_image_links', 10, 3);

// remove ellipse from excerpts and replace
function excerpt_ellipse($text) {
return str_replace('[...]', '<br /><a href="'.get_permalink().'"><button class="btn btn-small">Read more...</button></a>', $text); }
add_filter('the_excerpt', 'excerpt_ellipse');


// add ie conditional html5 shim to header
function add_ie_html5_shim () {
echo '<!--[if lt IE 9]>';
echo '<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>';
echo '<![endif]-->';
}
add_action('wp_head', 'add_ie_html5_shim');


// excerpt length
add_filter('excerpt_length', create_function('$a', 'return 70;'));

// post thumbnails support
if ( function_exists( 'add_theme_support' ) ) {
add_theme_support( 'post-thumbnails' );
set_post_thumbnail_size( 128, 128 );
}

// Custom background image
add_theme_support( 'custom-background' );

// This theme uses wp_nav_menu() in 3 locations.
register_nav_menus( array(
'top-right' => __( 'Top Right Navigation', 'p' ),
'primary' => __( 'Primary Navigation', 'p' ),
'vertical' => __( 'Vertical Navigation', 'p' ),
) );

// Register Custom Navigation Walker
require_once('wp_bootstrap_navwalker.php');

// list subpages
if(!function_exists('get_post_top_ancestor_id')){
/**
* Gets the id of the topmost ancestor of the current page. Returns the current
* page's id if there is no parent.
*
* @uses object $post
* @return int
*/
function get_post_top_ancestor_id(){
global $post;

if($post->post_parent){
$ancestors = array_reverse(get_post_ancestors($post->ID));
return $ancestors[0];
}

return $post->ID;
}}

// Stylesheets
if ( !function_exists( 'flatportfolio_styles' ) ) :
function flatportfolio_styles() {

// Register stylesheets
wp_register_style( 'bootstrap', get_stylesheet_directory_uri() . '/css/bootstrap.min.css', array(), '2.3.1', 'all' );
wp_register_style( 'flatportfolio-main', get_stylesheet_directory_uri() . '/style.css', array(), '2.1.0', 'all' );

// Enqueue stylesheets
wp_enqueue_style( 'bootstrap' );
wp_enqueue_style( 'flatportfolio-main' );
}
add_action( 'wp_enqueue_scripts', 'flatportfolio_styles' );
endif;
?>