<!DOCTYPE html>
<!--[if IE 6]>
<html id="ie6" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 7]>
<html id="ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html id="ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 6) | !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title><?php bloginfo('name'); ?><?php wp_title(); ?></title>
<meta name="description" content="<?php bloginfo('description'); ?>" />
<?php if ((is_home() && ($paged < 2 )) || is_single() || is_page() || is_category()) {
echo '<meta name="robots" content="index,archive,follow" />';
} else {
echo '<meta name="robots" content="noindex,noarchive,follow" />';
}?>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!--[if lt IE 9]>
<script src="http://css3-mediaqueries-js.googlecode.com/svn/trunk/css3-mediaqueries.js"></script>
<![endif]-->
<?php wp_enqueue_script("jquery"); ?>
<?php wp_head(); ?>
<?php if ( is_singular() && get_option( 'thread_comments' ) )
wp_enqueue_script( 'comment-reply' );
?>
</head>
<?php flush(); ?>
<body <?php body_class(); ?>>
			<nav role="navigation">
			
			<div class="navbar navbar-static-top">
			<div class="navbar-inner">
			<div class="container">
			<h1><a class="brand" title="<?php bloginfo('description'); ?>" href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?></a></h1>
			<p class="navbar-text pull-right">
			<a href="https://twitter.com/" target="_blank" title="Your Twitter (edit header.php to change link or add more items)"><img src="<?php echo get_stylesheet_directory_uri() ?>/images/twitter.png" width="24" height="24" alt="twitter" /></a>
			</p>
			</div>
			</div>
			</div><!-- /.navbar -->
			
			</nav>
	
			<div class="container">
				<div class="masthead">
					<?php
					wp_nav_menu( array(
					'menu'       => 'top_menu',
					'depth'      => 2,
					'container'  => false,
					'menu_class' => 'nav nav-pills pull-right',
					'theme_location' => 'top-right',
					'fallback_cb' => 'wp_page_menu',
					//Process nav menu using our custom nav walker
					'walker' => new wp_bootstrap_navwalker())
					);
					?>
					<div class="clear"></div>
				<?php if (is_front_page()) : ?>
				<?php include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
				if (is_plugin_active('cpt-bootstrap-carousel/cpt-bootstrap-carousel.php')) {
				echo do_shortcode('[image-carousel showcaption="false" showcontrols="false"]');
				} ?>
				<?php else : ?>
				<?php endif; ?>
				</div>
				<div class="clear"></div>
<!-- /navigation -->
		<nav role="navigation">
			<div class="navbar">
			<div class="navbar-inner">
			<div class="container">
			<!-- .btn-navbar is used as the toggle for collapsed navbar content -->
				<a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
				<span class="icon-bar"></span>
				<span class="icon-bar"></span>
				<span class="icon-bar"></span>
				</a>
				<div class="nav-collapse collapse">
					<?php
					wp_nav_menu( array(
					'menu'       => 'top_menu',
					'depth'      => 2,
					'container'  => false,
					'menu_class' => 'nav',
					'theme_location' => 'primary',
					'fallback_cb' => 'wp_page_menu',
					//Process nav menu using our custom nav walker
					'walker' => new wp_bootstrap_navwalker())
					);
					?>	
					</div>
			</div>
			</div>
			</div><!-- /.navbar -->
			</nav>
			</div>
			<!-- /main layout divs -->
			
	<div id="wrap">
	
		<div class="wrapperbig">
		
			<div id="skip">
				<a href="#content">Skip to Main Content</a>
			</div>
			
	<div class="container">		

		
	<div id="wrapcontainer">
	
	<!-- /content divs start -->
	
	<div id="container" role="main">

		<?php if (is_single() || is_page_template('full.php') || is_page_template('gallery.php') || is_page_template('archives.php') || is_page_template('subpages.php') || is_search() || is_tag() || is_date() || is_archive() ) : ?>
		<div class="span12">
		<?php else : ?>

		<!-- /side menu -->
		<div class="span3">
	
		<nav role="navigation">
			<?php if (has_nav_menu('vertical') ) : ?>
			<?php
			wp_nav_menu( array(
			'menu'       => 'vert-menu',
			'depth'      => 2,
			'container'  => false,
			'menu_class' => 'nav nav-tabs nav-stacked',
			'theme_location' => 'vertical',
			'fallback_cb' => 'wp_page_menu',
			//Process nav menu using our custom nav walker
			'walker' => new wp_bootstrap_navwalker())
			);
			?>
			<?php else : ?>
			<?php endif; ?>
		</nav>
		
		<div class="clear"></div>
			<?php if ( !function_exists('dynamic_sidebar')
			|| !dynamic_sidebar('Primary Sidebar') ) : ?>
			<?php endif; ?>
			
			
			<ul class="nav nav-tabs nav-stacked">
			<?php wp_list_pages( array('title_li'=>'','include'=>get_post_top_ancestor_id()) ); ?>
			<?php wp_list_pages( array('title_li'=>'','depth'=>1,'child_of'=>get_post_top_ancestor_id()) ); ?>
			</ul>
			
			<?php global $post;
			
			$children = wp_list_pages('title_li=&depth=1&child_of='.$post->ID.'&echo=0');
			if ($children && is_page() && $post->post_parent) {
			echo "<h3>In this section</h3><ul class=\"nav nav-pills nav-stacked \">";
			echo $children;
			echo "</ul>";
			}
			
			?>
			
		</div>
		
		<!-- /content -->
	
		<div class="span9">
		
		<?php endif; ?>
		
	<a name="content" title="Skip to content"></a>

	<div class="post">