<?php get_header(); ?>

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

	<article id="post-<?php the_ID(); ?>">

		<header>
		<h2><?php edit_post_link('&#9997;','',' '); ?><?php the_title() ?></h2>
		</header>

		<?php the_content('<p class="serif">Read the rest of this entry &raquo;</p>'); ?>

		<div class="meta">
		<?php wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
		<?php the_tags(); ?>
		</div>

	</article>

	<div class="clear"></div>

	<div class="commentbox">
	<?php comments_template(); ?>
	</div>

<?php endwhile; else: ?>

	<article>
	
		<header>
		<h3>Not Found</h3>
		</header>
		
		<p>Sorry, but you are looking for something that isn't here.</p>
	
	</article>

<?php endif; ?>

<?php get_footer(); ?>