<?php
/*
Template Name: Public Subpage Gallery
*
* Shows subpages of the parent page.
*
*/
?>
<?php get_header(); ?>

	<header>
		<h2><?php edit_post_link('&#9997;','',' '); ?><?php the_title() ?></h2>
	</header>

	<ul class="thumbnails">
	<?php
	$page_id = $posts[0]->ID;
	$args=array(
	'post_parent' => $page_id,
	'post_type' => 'page',
	'post_status' => 'publish',
	'orderby' => 'menu_order',
	'order' => 'asc',
	'posts_per_page' => -1,
	'ignore_sticky_posts'=> 1
	);
	$my_query = null;
	$my_query = new WP_Query($args);
	if( $my_query->have_posts() ) {
	while ($my_query->have_posts()) : $my_query->the_post(); $data = get_post_meta( $post->ID, 'Portfolio', true ); ?>
		<li class="span2" id="post-<?php the_ID(); ?>">
			<div class="thumbnail">
			<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" />
			<?php if ( has_post_thumbnail()) {
			$full_image_url = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'full');
			echo get_the_post_thumbnail($post->ID, 'thumbnail');
			 } else { ?>
			<img src="<?php echo get_stylesheet_directory_uri() ?>/images/default-image.png" alt="<?php the_title(); ?>" width="128" height="128" class="attachment-medium" />
			<?php } ?>
			</a>
			
			</div>
		</li>
	<?php
	endwhile;
	}
	wp_reset_query();  // Restore global post data stomped by the_post().
	?>
	</ul>

	<div class="clear"></div>

	<article>
	
		<?php the_content('<p class="serif">Read the rest of this page &raquo;</p>'); ?>
		<div class="meta">
		<?php wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
		</div>
	
	</article>

<?php get_footer(); ?>
