<?php
/*
Template Name: Public Page Full Width
*
* for public pages you want search engine indexed.
*
*/
?>
<?php get_header(); ?>

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

	<article id="post-<?php the_ID(); ?>">

		<header>
			<div <?php post_class(); ?>>
			<h2><?php edit_post_link('&#9997;','',' '); ?><?php the_title() ?></h2>
			</div>
		</header>
		
		<?php the_content('<p class="serif">Read the rest of this page &raquo;</p>'); ?>
			<div class="meta">
			<?php wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
			</div>
		
	</article>

	<aside class="commentbox">
	<?php comments_template(); ?>
	</aside>
	
<?php endwhile; endif; ?>

<?php get_footer(); ?>