<?php get_header(); ?>
<h2>News and Updates</h2>
<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
	<article class="media" id="post-<?php the_ID(); ?>">
	<h3 class="media-heading"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h3>
	<h4>This entry was posted on <?php the_time('l, F jS, Y') ?></h4>
	<aside class="pull-left"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>">
			<?php if ( has_post_thumbnail() ) {
			the_post_thumbnail(array(128,128));
			} else { ?>
			<img src="<?php echo get_stylesheet_directory_uri() ?>/images/default-image-news.png" alt="<?php the_title(); ?>" width="128" height="128" />
			<?php } ?></a>
			</aside>
			<div class="media-body">
			
			<?php the_excerpt('Read the rest of this entry &rarr;'); ?>
			</div>
		
	</article>

	<div class="clear"></div>

<?php endwhile; ?>

	<?php if ($paged > 1) { ?>
	<ul class="pager">
		<li class="previous"><?php next_posts_link('&laquo; Older Entries') ?></li>
		<li class="next"><?php previous_posts_link('Newer Entries &raquo;') ?></li>
	</ul>

<?php } else { ?>

	<ul class="pager">
		<li class="previous"><?php next_posts_link('&laquo; Older Entries') ?></li>
	</ul>
		
	<?php } ?>

<?php else : ?>

	<article class="post">
	
		<header>
		<h3>Not Found</h3>
		</header>
		<p>Sorry, but you are looking for something that isn't here.</p>
		
	</article>

<?php endif; ?>

<?php get_footer(); ?>